#ifndef _DEF_TILES
#define _DEF_TILES
typedef unsigned char Tile; /* the tile ID */
typedef unsigned char Tile_flags; /* the tile properties (bitmask) */

/* define flags */
#define F_VISIBLE 0b1
#define F_SOLID 0b10

/* define properties */
#define P_AIR		(0)
#define P_BASE		(F_VISIBLE | F_SOLID)
#define P_UNKNOWN	(F_VISIBLE)

enum {
	ID_AIR,
	ID_BASE,
};

Tile_flags tile_get_flags(Tile tile);
#endif /* _DEF_TILES */
